=== src/CMakeLists.txt ===
add_subdirectory(base)
add_subdirectory(builder)
add_subdirectory(geometry)
add_subdirectory(loader)
add_subdirectory(parser)
add_subdirectory(test_utilities)
